﻿@using T = ToitKoju;
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <title>@ViewBag.Title - ToitKoju EST.2018</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @*<style>
            .vasak{
                background:aqua
            }
            .parem{
                background:blue
            }
        </style>*@


</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @* Mis on allolevate ridade vahe? *@
                @*@Html.ActionLink("Toit Koju", "Index", "Home", null, new { @class = "navbar-brand" })*@
                @Html.ActionLink("Toit Koju", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })

            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Retseptid", "Index", "Shop")</li>


                    @*//Tehtud:lisada Adminni õigused sisselogimisel*@
                    @if (Request.IsAuthenticated)

                    {

                        T.User u = T.User.GetByEmail(User.Identity.Name);
                        if (u != null && u.IsInRoleAdmin)
                        {
                            <li>@Html.ActionLink("Tellimused", "Index", "Orders")</li>
                            <li>@Html.ActionLink("Retseptide haldus", "Index", "Details")</li>
                            <li>@Html.ActionLink("Ladu", "Index", "Ingredients")</li>
                            <li>@Html.ActionLink("Kasutajad", "Index", "Users")</li>
                            @*<li>@Html.ActionLink("Retseptid", "Index", "Recipies")</li>*@
                            @*<li>@Html.ActionLink("Kategooria", "Index", "Categories")</li>*@
                        }
                        else
                        {

                            <li>@Html.ActionLink("Kasutajad", "Index", "Users")</li>
                            <li>@Html.ActionLink("Minu tellimused", "Index", "Orders")</li>

                        }


                    }

                </ul>
                @Html.Partial("_LoginPartial")
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - ToitKoju EST.2018</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>
